Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index.lucene.analysis
Class SavedStreams

    java.lang.Object
      org.crosswire.jsword.index.lucene.analysis.SavedStreams

     class SavedStreams

extends Object

SavedStreams is used to make reusable Lucene analyzers.

Author:
  DM Smith
See Also:
  `The GNU Lesser General Public License for details.`

Field Summary
`private org.apache.lucene.analysis.TokenStream` | `result`
`private org.apache.lucene.analysis.Tokenizer` | `source`

Constructor Summary
`SavedStreams(org.apache.lucene.analysis.Tokenizer source)` Save the TokenStream starting with the source.

Method Summary
`org.apache.lucene.analysis.TokenStream` | `getResult()`
`org.apache.lucene.analysis.Tokenizer` | `getSource()`
`void` | `setResult(org.apache.lucene.analysis.TokenStream result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    private org.apache.lucene.analysis.Tokenizer source

### result

    private org.apache.lucene.analysis.TokenStream result

Constructor Detail

### SavedStreams

    public SavedStreams(org.apache.lucene.analysis.Tokenizer source)

  Save the TokenStream starting with the source.

  Parameters:
    `source` -

Method Detail

### getSource

    public org.apache.lucene.analysis.Tokenizer getSource()

  Returns:
    the source

### getResult

    public org.apache.lucene.analysis.TokenStream getResult()

  Returns:
    the result

### setResult

    public void setResult(org.apache.lucene.analysis.TokenStream result)

  Parameters:
    `result` - the result to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD